Package org.eclipse.emf.cdo.spi.common.util

## Class URIHandlerFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.spi.common.util.URIHandlerFactory

- All Implemented Interfaces:
    `org.eclipse.net4j.util.factory.IFactory`

      public abstract class URIHandlerFactory
      extends org.eclipse.net4j.util.factory.Factory

  Since:
    4.13
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PRODUCT_GROUP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `URIHandlerFactory​(java.lang.String type)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract URIHandler` | `create​(java.lang.String description)` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### URIHandlerFactory

          public URIHandlerFactory​(java.lang.String type)

  - ### Method Detail

    - #### create

          public abstract URIHandler create​(java.lang.String description)
                                     throws org.eclipse.net4j.util.factory.ProductCreationException

      Throws:
        `org.eclipse.net4j.util.factory.ProductCreationException`